post
https://sandbox.saner.secpod.com/CHScanner/updateOrgCHSWeightage
This method updates the weights of accounts under the given organization. Scans the accounts after updating.
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.cvem import CvemClient
client = CvemClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response=client.CyberHygiene.updateOrganizationScoreWeightage(
account_names=["Test1","Test2"],
user_id="[email protected]",
organization="Demo Org",
weightage={
"Anomaly": 20,
"Compliance": 20,
"Missing_Patches": 20,
"Risk_Prioritization": 20,
"Vulnerability": 20
}
)
print(response)
client.close()Requires Python 3.9 or later.